=== apparmor/CMakeLists.txt ===
install(
    FILES
        usr.bin.akonadiserver
        mariadbd_akonadi
        mysqld_akonadi
        postgresql_akonadi
    DESTINATION ${KDE_INSTALL_SYSCONFDIR}/apparmor.d
)
